The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Update the Telemetry Configuration

Prev Next

This URL updates the telemetry configuration present on the Manager.

Resource URL

PUT /gticonfiguration

Request Parameters

URL Parameters: None

Payload Request Parameters:

Field Name

Description

Data Type

Mandatory

alertDataDetails

Alert data details

Object

Yes

alertDataSummary

Should the alert data summary be included in data sent to telemetry

Boolean

Yes

generalSetup

Should the general setup data be included in data sent to telemetry

Boolean

Yes

featureUsage

Should the feature usage data be included in data sent to telemetry

Boolean

Yes

systemFaults

Should the system faults data be included in data sent to telemetry

Boolean

Yes

technicalContactInformation

Contact details in the organization

Object

Yes

Details of fields in alertDataDetails:

Field Name

Description

Data Type

Mandatory

AlertDataDetailsEnabled

Alert data details to be sent

Boolean

Yes

excludedIpList

Exclude IP address information for endpoints on this list

Array

No

alertDetaDetailsFilterLevel

Alert data filter level

Object

Yes

Details of fields in technicalContactInformation:

Field Name

Description

Data Type

Mandatory

sendContactInfo

Send contact information

Boolean

Yes

firstName

First name

String

No

lastName

Last name

String

No

address

Address

String

No

phone

Phone

String

No

email

Email

String

No

Details of fields in alertDetaDetailsFilterLevel:

Field Name

Description

Data Type

Mandatory

high

Include high severity alerts

Boolean

Yes

low

Include low severity alerts

Boolean

Yes

medium

Include medium severity alerts

Boolean

Yes

informational

Include informational severity alerts

Boolean

Yes

Response Parameters

Returns the following fields:

Field Name

Description

Data Type

status

Set to 1 if the update is successful

Number

Example

Request

PUT https://<NSM_IP>/sdkapi/gticonfiguration

Payload

{
"alertDataDetails":{"AlertDataDetailsEnabled":true,"excludedIpList":["1.1.1.1/32"],
"alertDetaDetailsFilterLevel":{"high":true,"low":true,"medium":true,"informational":true}},
"alertDataSummary":true,"generalSetup":true,"featureUsage":true,"systemFaults":true,
"technicalContactInformation":{"sendContactInfo":true,"firstName":"Test",
"lastName":"Test","address":"MIC","phone":"1234567890","email":"EIT@xyz.com"}
}

Response

{
"status":1 
}

Error Information

Following error code is returned by this URL:

No

HTTP Error Code

SDK API errorId

SDK API errorMessage

1

500

1001

Internal error